FreeMat

- Main Page
- Related Pages

vtkExtractCells

Section: Visualization Toolkit Graphics Classes

# Usage

Given a vtkDataSet and a list of cell Ids, create a vtkUnstructuredGrid composed of these cells. If the cell list is empty when vtkExtractCells executes, it will set up the ugrid, point and cell arrays, with no points, cells or data.

To create an instance of class vtkExtractCells, simply invoke its constructor as follows

      obj = vtkExtractCells

# Methods

The class vtkExtractCells has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkExtractCells class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkExtractCells = obj.NewInstance ()`
- `vtkExtractCells = obj.SafeDownCast (vtkObject o)`
- `obj.SetCellList (vtkIdList l)`
- `obj.AddCellList (vtkIdList l)`
- `obj.AddCellRange (vtkIdType from, vtkIdType to)`